Skip to content
FreeTicketDocs
Esc
↑↓navigate↵open⌘Jpreview

Workspace settlements (payouts to the organizer)

Lists the settlements visible to the organization (SENT, AWAITING_PAYMENT, PAID) with their standard id, amount, event/event date, and payment proofs. Download the files with GET /settlements/{id}/document (PDF) and GET /settlements/{id}/proofs/{fileName} (bank transfer proofs).

GET/settlements
Authorization
AuthorizationAPI key · headerrequired

API key prefixed with Bearer . Alternative: the x-api-key header with the raw key. Available scopes: read and write (see /.well-known/oauth-protected-resource).

or
x-api-keyAPI key · headerrequired

Raw API key (without Bearer ), alternative to Authorization.

Query parameters
eventstring

Filter by event id

statusstring

SENT|AWAITING_PAYMENT|PAID

Allowed:SENTAWAITING_PAYMENTPAID
limitinteger

1..100 (default 20)

default: 20
cursorstring

Id of the last row of the previous page

Header parameters
X-Workspace-Idstring

Active workspace to operate on. Optional: when omitted, the default workspace of the user who owns the key is used (pickActiveOrg).

Responses
200

OK

dataSettlement[]required
Show properties
Array of Settlement
idstringrequired
referencestringrequired
labelstringrequired
statusstringrequired
Allowed:SENTAWAITING_PAYMENTPAID
amountnumberrequired
grossAmountnumber | nullrequired
Show properties
Any of:
number
number
null
null
unitsSoldinteger | nullrequired
Show properties
Any of:
integer
integer
null
null
currencystringrequired
notesstring | nullrequired
Show properties
Any of:
string
string
null
null
rejectionReasonstring | nullrequired
Show properties
Any of:
string
string
null
null
eventobject | nullrequired
Show properties
Any of:
object
idstringrequired
namestringrequired
null
null
eventDateobject | nullrequired
Show properties
Any of:
object
idstringrequired
startsAtstringrequired
null
null
hasDocumentbooleanrequired
paymentProofsobject[]required
Show properties
Array of object
fileNamestringrequired
allocationsobject[]required
Show properties
Array of object
bankAccountIdstringrequired
percentageintegerrequired
min -9007199254740991 · max 9007199254740991
requestedAtstring | nullrequired
Show properties
Any of:
string
string
null
null
paidAtstring | nullrequired
Show properties
Any of:
string
string
null
null
createdAtstringrequired
pagePagerequired
Show properties
nextCursorstring | nullrequired
Show properties
Any of:
string
string
null
null
hasMorebooleanrequired
totalinteger
min -9007199254740991 · max 9007199254740991
401

Missing or invalid credential.

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
retryablebooleanrequired
detailsany
403

Insufficient role or resource not accessible.

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
retryablebooleanrequired
detailsany
404

Resource does not exist or is out of scope.

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
retryablebooleanrequired
detailsany
422

Request body/parameter validation failed.

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
retryablebooleanrequired
detailsany
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://admin.appfreeticket.com/api/v1/settlements' \
  -H 'Authorization: YOUR_API_KEY'
Response
{
  "data": [
    {
      "id": "string",
      "reference": "string",
      "label": "string",
      "status": "SENT",
      "amount": 0,
      "grossAmount": 0,
      "unitsSold": -9007199254740991,
      "currency": "string",
      "notes": "string",
      "rejectionReason": "string",
      "event": {
        "id": "string",
        "name": "string"
      },
      "eventDate": {
        "id": "string",
        "startsAt": "string"
      },
      "hasDocument": true,
      "paymentProofs": [
        {
          "fileName": "string"
        }
      ],
      "allocations": [
        {
          "bankAccountId": "string",
          "percentage": -9007199254740991
        }
      ],
      "requestedAt": "string",
      "paidAt": "string",
      "createdAt": "string"
    }
  ],
  "page": {
    "nextCursor": "string",
    "hasMore": true,
    "total": -9007199254740991
  }
}